#!/bin/sh -l
set -e
echo -e "${INPUT_KEY}" >__TEMP_INPUT_KEY_FILE

chmod 600 __TEMP_INPUT_KEY_FILE

COMMIT_SHA=$(cat ${INPUT_SRC}/.git-commit)
if [[ -z "$COMMIT_SHA" ]]; then
    echo "COMMIT_SHA: Could not find file ${INPUT_SRC}/.git-commit"
    exit 1
fi

scp -o StrictHostKeyChecking=no -v -i __TEMP_INPUT_KEY_FILE \
    -P "${INPUT_PORT}" $INPUT_OPTIONS -r ${INPUT_SRC} "${INPUT_USER}"@"${INPUT_HOST}":"${INPUT_REMOTE}/${COMMIT_SHA}" 2>/dev/null

echo "File transfer complete."
echo "Symlinking, purging old"
echo "Running on ssh: ln -s ${INPUT_REMOTE}/${COMMIT_SHA} ${INPUT_REMOTE}/latest"

ssh -o StrictHostKeyChecking=no -v -i __TEMP_INPUT_KEY_FILE \
    -P "${INPUT_PORT}" "${INPUT_USER}"@"${INPUT_HOST}" \
    -C "ln -s ${INPUT_REMOTE}/${COMMIT_SHA} ${INPUT_REMOTE}/latest && find ${INPUT_REMOTE} -mindepth 1 -maxdepth 1 -type d -not -path './latest' | tail -n +5 > rm_result.txt"
